uk.gov.hmrc.extentreport

# ExtentProperties

###
Related Doc: package extentreport

#### object ExtentProperties extends Enumeration

Linear Supertypes
Enumeration, Serializable, Serializable, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. ExtentProperties
2. Enumeration
3. Serializable
4. Serializable
5. AnyRef
6. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Type Members

1. #### type ExtentProperties = Value

2. #### class Val extends Value with Serializable

   Attributes
     protected
   Definition Classes
     Enumeration
   Annotations
     @SerialVersionUID()

3. #### abstract class Value extends Ordered[Value] with Serializable

   Definition Classes
     Enumeration
   Annotations
     @SerialVersionUID()

4. #### class ValueSet extends AbstractSet[Value] with SortedSet[Value] with SortedSetLike[Value, ValueSet] with Serializable

   Definition Classes
     Enumeration

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### val INSTANCE: Value

5. #### final def Value(i: Int, name: String): Value

   Attributes
     protected
   Definition Classes
     Enumeration

6. #### final def Value(name: String): Value

   Attributes
     protected
   Definition Classes
     Enumeration

7. #### final def Value(i: Int): Value

   Attributes
     protected
   Definition Classes
     Enumeration

8. #### final def Value: Value

   Attributes
     protected
   Definition Classes
     Enumeration

9. #### final def apply(x: Int): Value

   Definition Classes
     Enumeration

10. #### final def asInstanceOf[T0]: T0

    Definition Classes
      Any

11. #### def clone(): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

12. #### def create(wd: WebDriver, path: String): ExtentProperties

13. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

14. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

15. #### var extentXServerUrl: String

16. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

17. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

18. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

19. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

20. #### final def maxId: Int

    Definition Classes
      Enumeration

21. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

22. #### var nextId: Int

    Attributes
      protected
    Definition Classes
      Enumeration

23. #### var nextName: Iterator[String]

    Attributes
      protected
    Definition Classes
      Enumeration

24. #### final def notify(): Unit

    Definition Classes
      AnyRef

25. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

26. #### var projectName: String

27. #### def readResolve(): AnyRef

    Attributes
      protected
    Definition Classes
      Enumeration

28. #### var reportPath: String

29. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

30. #### def toString(): String

    Definition Classes
      Enumeration → AnyRef → Any

31. #### def values: ValueSet

    Definition Classes
      Enumeration

32. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

33. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

34. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

35. #### var webDriver: WebDriver

36. #### final def withName(s: String): Value

    Definition Classes
      Enumeration

### Inherited from Enumeration

### Inherited from Serializable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped